sm <- read.table("Supermarket.txt")
colnames(sm) <- c("Visits", "Age", "NComp", "Expenditure") 

summary(sm)

attach(sm)

par(mfrow=c(2,2), mar = c(3, 2,2, 1) + 0.1  )

plot(ecdf(Visits), verticals=TRUE, ylab="F(x)")
abline(v=quantile(Visits, c(0.25,0.50, 0.75)),col="red", lty =2) 

plot(ecdf(Age), verticals=TRUE, ylab="F(x)")
abline(v=quantile(Age, c(0.25,0.50, 0.75)),col="red", lty =2) 

plot(ecdf(NComp), verticals=TRUE, ylab="F(x)")
abline(v=quantile(NComp, c(0.25,0.50, 0.75)),col="red", lty =2) 

plot(ecdf(Expenditure), verticals=TRUE, ylab="F(x)")
abline(v=quantile(Expenditure, c(0.25,0.50, 0.75)),col="red", lty =2)